Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.trigger
Class TriggerProvider

    java.lang.Object
      org.deegree.framework.trigger.TriggerProvider

    public class TriggerProvider

extends Object

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Method Summary
`static TriggerProvider` | `create(Class clss)`
`Object[]` | `doPostTrigger(Object caller, Object... obj)` performs post triggers assigend to the calling method
`Object[]` | `doPreTrigger(Object caller, Object... obj)` performs pre triggers assigend to the calling method
`TriggerCapabilities` | `getCapabilities()` returns the root capabilities
`List<Trigger>` | `getPostTrigger()` returns all post triggers assigend to the calling method
`List<Trigger>` | `getPreTrigger()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static TriggerProvider create(Class clss)

  Parameters:
    `clss` -

### getPreTrigger

    public List<Trigger> getPreTrigger()
                                throws TriggerException

  Returns:
    all pre triggers assigend to the calling method
  Throws:
    `TriggerException`

### getPostTrigger

    public List<Trigger> getPostTrigger()
                                 throws TriggerException

  returns all post triggers assigend to the calling method

  Returns:
    all post triggers assigend to the calling method
  Throws:
    `TriggerException`

### doPreTrigger

    public Object[] doPreTrigger(Object caller,
                                 Object... obj)
                          throws TriggerException

  performs pre triggers assigend to the calling method

  Parameters:
    `caller` -
    `obj` -
  Returns:
    changed object passed to the trigger(s)
  Throws:
    `TriggerException`

### doPostTrigger

    public Object[] doPostTrigger(Object caller,
                                  Object... obj)

  performs post triggers assigend to the calling method

  Parameters:
    `caller` -
    `obj` -
  Returns:
    changed object passed to the trigger(s)

### getCapabilities

    public TriggerCapabilities getCapabilities()

  returns the root capabilities

  Returns:
    the root capabilities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org